
From: "Randy.Dunlap" <rddunlap@osdl.org>

Make 1-bit fields be unsigned (no sign bit :).
sparse complains about them:
drivers/char/drm/sis_ds.h:88:12: warning: dubious one-bit signed bitfield
drivers/char/drm/sis_ds.h:89:16: warning: dubious one-bit signed bitfield

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/drm/sis_ds.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/drm/sis_ds.h~sis-drm-bool-bitfields drivers/char/drm/sis_ds.h
--- 25/drivers/char/drm/sis_ds.h~sis-drm-bool-bitfields	2004-11-30 17:49:46.058078176 -0800
+++ 25-akpm/drivers/char/drm/sis_ds.h	2004-11-30 17:49:46.061077720 -0800
@@ -85,8 +85,8 @@ struct mem_block_t {
 	struct mem_block_t *heap;
 	int ofs,size;
 	int align;
-	int free:1;
-	int reserved:1;
+	unsigned int free:1;
+	unsigned int reserved:1;
 };
 typedef struct mem_block_t TMemBlock;
 typedef struct mem_block_t *PMemBlock;
_
